%define ovs_version 3.4.7
%define ovs_subversion 1
%define ovs_release 1.0.57
%define ovs_product_name "Oracle VM server"
%define el_ovs_release %{ovs_version}

Summary: Oracle VM server release file

###################### SRPM ##########################

Name: ovs-release
Version: %{ovs_version}
Release: %{ovs_release}%{?dist}
License: GPL
Group: System Environment/Base

Requires: NetworkManager
Requires: NetworkManager-team
Requires: NetworkManager-tui
Requires: kbd
Requires: rsyslog
Requires: tuned
Requires: btrfs-progs
Requires: iwl6000g2a-firmware
Requires: xfsprogs
Requires: irqbalance
Requires: xen
Requires: selinux-policy-targeted
Requires: grub2
#Requires: kexec-tools 
Requires: openssh-server
Requires: openssh-clients
Requires: authconfig
Requires: lshw
Requires: postfix
Requires: audit
Requires: aic94xx-firmware
Requires: biosdevname
Requires: microcode_ctl
Requires: dracut-config-rescue
Requires: parted
Requires: man-db
Requires: sudo
Requires: iprutils
Requires: libsysfs
Requires: uname26
Requires: iwl1000-firmware
Requires: iwl6000g2b-firmware
Requires: iwl4965-firmware
Requires: rootfiles
Requires: iwl3160-firmware
Requires: iwl3945-firmware
Requires: iwl105-firmware
Requires: iwl2030-firmware
Requires: ivtv-firmware
Requires: iwl7260-firmware
Requires: iwl6050-firmware
Requires: iwl5000-firmware
Requires: iwl6000-firmware
Requires: iwl2000-firmware
Requires: iwl135-firmware
Requires: iwl100-firmware
Requires: iwl5150-firmware
Requires: unzip 
#Requires: device-mapper-multipath
Requires: sudo
Requires: kernel-uek
Requires: grub2
Requires: osmd
Requires: ovs-config
Requires: ovm-consoled
Requires: ovs-agent
Requires: ovmwatch
Requires: devmon
Requires: ovmport
Requires: setserial
Requires: psmisc
Requires: bind-utils
Requires: iperf3

Source: ovs-release-3.tar.gz
Source1:        85-display-manager.preset
Source2:        90-default.preset

Patch1: rev4537.patch
Patch2: rev6612.patch
Patch3: rev6625.patch
Patch4: rev6672.patch
Patch5: rev7614.patch
Patch6: solaris_required_11.2.8.patch
Patch7: ovs-agent-python27.patch

# End Oracle Patches

BuildRoot: %{_tmppath}/ovs-release-root

%description
Oracle VM server release information.

%prep
%setup -q -n ovs-release-3
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0

#%%build 
# do nothing

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
# ovs-release file
#echo "Oracle VM server release %{el_ovs_release}" > $RPM_BUILD_ROOT/etc/ovs-release
# ovs-info file
echo "OVS summary" > $RPM_BUILD_ROOT/etc/ovs-info
echo "release: %{el_ovs_release}" >> $RPM_BUILD_ROOT/etc/ovs-info

### Information below is modified for each build, do not alter ###
echo date: 202106202333 >> $RPM_BUILD_ROOT/etc/ovs-info
echo build: 146 >> $RPM_BUILD_ROOT/etc/ovs-info
echo >> $RPM_BUILD_ROOT/etc/ovs-info
echo OVS modified packages: >> $RPM_BUILD_ROOT/etc/ovs-info
echo anaconda-21.48.22.159-3.4.7.4.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo devmon-3.4.7-2.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo grub2-2.02-0.87.0.15.el7_9.6 >> $RPM_BUILD_ROOT/etc/ovs-info
echo kexec-tools-ovs-2.0.16-100.8.el7.0 >> $RPM_BUILD_ROOT/etc/ovs-info
echo ocfs2-tools-1.8.6-14.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo osc-oracle-generic-3.4.7-7.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo osc-oracle-ocfs2-3.4.7-2.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo osc-plugin-manager-3.4.7-3.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo osmd-3.4.7-6.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo ovm-consoled-3.4.7-2.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo ovmport-3.4.7-2.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo ovmwatch-3.4.7-3.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo ovs-agent-3.4.7-12.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo ovs-config-3.4.7-0.12.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo ovs-snmp-3.4.7-4.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo ovs-utils-1.1-2.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo socat-1.7.3.2-2.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo vbox-img-1.0-6.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
echo xen-4.4.4-222.0.42.el7 >> $RPM_BUILD_ROOT/etc/ovs-info
### End of automatically generated info ###

echo "%{ovs_product_name} release %{el_ovs_release}" > $RPM_BUILD_ROOT/etc/ovs-release
echo "%{ovs_product_name} release %{el_ovs_release}" > $RPM_BUILD_ROOT/etc/oracle-release
echo "%{ovs_product_name} release %{el_ovs_release}" > $RPM_BUILD_ROOT/etc/system-release
echo "%{ovs_product_name} release %{el_ovs_release}" > $RPM_BUILD_ROOT/etc/redhat-release

mkdir $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%rhel 7
%%dist .el7
%%el7 1
EOF

# create /etc/os-release
cat << EOF >>$RPM_BUILD_ROOT/etc/os-release
NAME=%{ovs_product_name}
VERSION="%{el_ovs_release}"
ID="OracleVM"
VERSION_ID="%{ovs_version}"
PRETTY_NAME="Oracle VM server release %{el_ovs_release}"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:oracle:vm_server:%{ovs_version}"
HOME_URL="https://linux.oracle.com/"
BUG_REPORT_URL="https://bugzilla.oracle.com/"

ORACLE_BUGZILLA_PRODUCT="Oracle VM"
ORACLE_BUGZILLA_PRODUCT_VERSION=%{ovs_version}
ORACLE_SUPPORT_PRODUCT="Oracle VM"
ORACLE_SUPPORT_PRODUCT_VERSION=%{ovs_version}
EOF

echo "cpe:/o:oracle:vm_server:%{ovs_version}" > $RPM_BUILD_ROOT/etc/system-release-cpe

# copy systemd presets
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system-preset/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/systemd/system-preset/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/systemd/system-preset/

cp $RPM_BUILD_ROOT/etc/ovs-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

#mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
#cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

#mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
#install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done


# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
echo "JJ -- triggerpostun" > /var/log//ovs-release-triggerpostun.log
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%post
echo "JJ -- post" > /var/log//ovs-release-post.log
rm -rf /etc/yum.repos.d/*
if [ $1 = 2 ]; then
   # Change default kernel to kernel-uek from kernel-ovs if upgrading from 3.0.3-.
   sed -i "s/DEFAULTKERNEL=kernel-ovs/DEFAULTKERNEL=kernel-uek/g" /etc/sysconfig/kernel
fi

# chkconfig for kdump is removed after server upgraded from ovm 3.2,
# it caused kdump service won't start automatically. (bug 22503332)
#chkconfig --add kdump >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT


%files -n ovs-release
%defattr(-,root,root)
%attr(0644,root,root) /etc/ovs-release
%attr(0644,root,root) /etc/ovs-info
%doc EULA GPL ovs-man.css
#%dir /etc/sysconfig/rhn
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
#/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

############ enterprise-linux-ovs ###############
%package -n enterprise-linux-ovs

Group: System Environment/Base
Summary: Remote Management System - Managed Station

#Name: enterprise-linux-ovs
Version: 7
Release: %{ovs_release}%{?dist}

Provides: oraclelinux-release = 7:7.8-1.0.7.el7
Provides: oraclelinux-release(x86-64) = 7:7.8-1.0.7.el7
Provides: redhat-release = 7.8-2.0.1.el7
Provides: redhat-release-server = 1:7.8-2.0.1.el7
Provides: redhat-release-server(x86-64) = 1:7.8-2.0.1.el7
Provides: system-release = 7.8-2.0.1.el7
Provides: system-release(releasever) = 7Server

%description -n enterprise-linux-ovs
Oracle Linux for OVS release information.

%files -n enterprise-linux-ovs
%defattr(-,root,root)
%attr(0644,root,root) /etc/os-release
%attr(0644,root,root) /etc/system-release-cpe
%attr(0644,root,root) /etc/redhat-release
%attr(0644,root,root) /etc/oracle-release
%attr(0644,root,root) /etc/system-release
/usr/lib/systemd/system-preset/*
/etc/rpm/macros.dist



%changelog
* Sun Jun 20 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.57
- Update for build 146

* Wed Jun 16 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.56
- Update for build 141

* Fri Jun 11 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.55
- Update for build 136

* Fri Jun 11 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.54
- Update for build 136

* Thu Jun 10 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.53
- Update for build 134

* Tue Jun 08 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.52
- Update for build 131

* Tue Jun 08 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.51
- Update for build 130

* Tue Jun 08 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.50
- Update for build 128

* Fri Jun 04 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.49
- Update for build 124

* Thu Jun 03 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.48
- Update for build 122

* Thu Jun 03 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.47
- Update for build 122

* Wed Jun 02 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.46
- Update for build 120

* Tue Jun 01 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.45
- Update for build 118

* Mon May 31 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.44
- Update for build 116

* Thu May 20 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.43
- Update for build 103

* Mon May 17 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.42
- Update for build 101

* Fri May 14 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.41
- Update for build 97

* Wed May 12 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.40
- Update for build 93

* Wed May 12 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.39
- Update for build 90

* Tue May 11 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.38
- Update for build 89

* Fri May 07 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.36
- Update for build 84

* Fri May 07 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.35
- Update for build 83

* Tue May 04 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.34
- Update for build 77

* Thu Apr 29 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.33
- Update for build 72

* Thu Apr 29 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.32
- Update for build 72

* Thu Apr 29 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.31
- Update for build 72

* Thu Apr 29 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.30
- Update for build 72

* Tue Apr 27 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.29
- Update for build 69

* Fri Apr 23 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.28
- Update for build 62

* Fri Apr 23 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.27
- Update for build 59

* Fri Apr 23 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.26
- Update for build 58

* Fri Apr 23 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.25
- Update for build 56

* Fri Apr 23 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.24
- Update for build 55

* Thu Apr 22 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.23
- Update for build 55

* Thu Apr 22 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.22
- Update for build 54

* Thu Apr 22 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.21
- Update for build 53

* Thu Apr 22 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.20
- Update for build 53

* Thu Apr 22 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.19
- Update for build 53

* Thu Apr 22 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.18
- Update for build 53

* Wed Apr 21 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.17
- Update for build 51

* Wed Apr 21 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.16
- Update for build 50

* Tue Apr 20 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.15
- Update for build 48

* Tue Apr 20 2021 Jingjie Jiang <jingjie.jiang@oracle.com> 3.4.7-1.0.14
- Fix the conflict

* Tue Apr 20 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.13
- Update for build 48

* Tue Apr 20 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.12
- Update for build 48

* Tue Apr 20 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.11
- Update for build 48

* Mon Apr 19 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.9
- Update for build 46

* Mon Apr 19 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.8
- Update for build 45

* Sat Apr 17 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.7
- Update for build 43

* Tue Apr 13 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.6
- Update for build 38

* Tue Apr 13 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.5
- Update for build 38

* Tue Apr 13 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.4
- Update for build 37

* Mon Apr 12 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.3
- Update for build 35

* Mon Apr 12 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4.7-1.0.2
- Update for build 34

* Wed Apr 7 2021 Jingjie Jiang <jingjie.jiang@oracle.com> 3.4.7-1.0.1
- Fix the version

* Wed Mar 10 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.23
- Update for build 5

* Wed Mar 10 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.22
- Update for build 4

* Wed Mar 10 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.21
- Update for build 4

* Wed Mar 10 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.20
- Update for build 4

* Wed Mar 10 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.19
- Update for build 4

* Tue Mar 09 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.18
- Update for build 3

* Tue Mar 09 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.17
- Update for build 3

* Tue Mar 09 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.16
- Update for build 2

* Tue Mar 09 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.15
- Update for build 2

* Tue Mar 09 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.14
- Update for build 2

* Tue Mar 09 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.13
- Update for build 2

* Mon Mar 08 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.12
- Update for build 2

* Mon Mar 08 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.11
- Update for build 2

* Mon Mar 08 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.10
- Update for build 2

* Wed Mar 03 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.9
- Update for build 1

* Wed Mar 03 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.8
- Update for build 1

* Wed Mar 03 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.7
- Update for build 1

* Wed Mar 03 2021 Kevin Lyons <kevin.x.lyons@oracle.com> 3.4-7.0.6
- Update for build 1

* Tue Feb 23 2021 Jingjie Jiang <jingjie.jiang@oracle.com> 3.4-7.0.4
- ovs update

* Fri Nov 13 2020 Jingjie Jiang <jingjie.jiang@oracle.com> 3.4-7.0.3
- Add requires 

* Wed Oct 07 2020 Jingjie Jiang <jingjie.jiang@oracle.com> 3.4-7.0.2
- Initial

